Bug 1457824 - New branch for 'glusterfs' project called 'experimental'
Summary: New branch for 'glusterfs' project called 'experimental'
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: GlusterFS
Classification: Community
Component: project-infrastructure
Version: mainline
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nigel Babu
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-06-01 11:44 UTC by Amar Tumballi
Modified: 2017-11-17 07:38 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-17 07:38:27 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Amar Tumballi 2017-06-01 11:44:29 UTC
Description of problem:

* This is where one can push any conceptual changes for review and get it merged quickly.

   - To make sure we don't delay, after every 1 week if there are no merges, a patch would be merged. (If there are no -1).
   - Manually, it can be merged even before.

* Review comments on this branch is absolutely about concept and design, and no nitpicks. even ./rfc.sh would be changed to allow (with a question) even in case of Errors.
* All fundamental changes (like file type in GFID, DHT layout changes, etc) gets merged here first, and once baked can be taken as a single patch and get merged in master, which would make it to next release branch cut.
* This branch would have life for 6 months, and after 6 months a new branch would be cut-off from master, so any features which can't be stabilized in 6 months, needs to be rebased at least once in 6 months to new branch. This way, it would be much easier for everyone to experiment their ideas.
* As this branch doesn't need a bugzilla ID to work, having github issues (for an RFE) would be must. Not having github ID can fetch -1 review points.

* Decision to merge the changes to upstream is left to the discretion of author, who can cherry-pick and push changes to master, when she/he thinks it is ready to be consumed.

Version-Release number of selected component (if applicable):
branch out from current 'master' branch


## Additional info:

* This branch will have merge permission for 'amarts' user on github.
* It needs to run smoke test to verify the patch and will have a scoring system of +2 for review (1 automatic score, another manual) once met, it can be merged.


* It should run all the current 8hrs tests once in a week, and rpm used for the tests should be given for download.

Comment 1 Amar Tumballi 2017-06-01 11:57:03 UTC
More reference to proposal on this @ http://lists.gluster.org/pipermail/maintainers/2017-May/002644.html & this is Approved on maintainers meeting.

Comment 2 Nigel Babu 2017-06-12 02:27:05 UTC
The experimental branch is now created. There's more work to be done, so leaving this one open.

Comment 3 Amar Tumballi 2017-11-17 07:38:27 UTC
experimental branch is now present and i do have access to merge patches as per the need mentioned in first place.


Note You need to log in before you can comment on or make changes to this bug.